%define version	0.36
%define release	1mdk

Name: 		gnormalize
Summary:	A ripper, an encoder and an audio converter
Version:	%{version}
Release:	%{release}
Group:		Sound
License:	GPL
URL:		http://gnormalize.sourceforge.net
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	normalize, cdparanoia
Requires:	vorbis-tools
BuildRequires:	ImageMagick

%description
gnormalize is a front end to normalize, a ripper, an encoder and 
an audio converter. It uses gtk2-perl.

gnormalize decodes the MP3/MPC/OGG/APE/FLAC file to WAV, 
then normalizes the WAV to a targeted volume level and re-encodes it. 
gnormalize can also rip, encode, convert audio format between MP3, 
MPC, OGG, APE and FLAC, change the encoding and ID3 tag properties of 
final normalized files.


%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

# We don't need to install Audio-CD*.tar.gz and CDDB_get*.tar.gz.
# Because mdk has the rpm packages: perl-CDDB_get, perl-Audio-CD.

# Install gnormalize
mkdir -p %{buildroot}%{_bindir}
	cp -vf gnormalize %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/icons/
	cp -vf gnormalize.png %{buildroot}%{_datadir}/icons/

# menu entrie
mkdir -p  $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%name):command="/usr/bin/%name" \
icon="%name.png" needs="X11" \
section="Multimedia/Sound" startup_notify="false" \
title="Gnormalize" longtitle="%summary" \
mimetypes="" accept_url="false" \
multiple_files="false"
EOF

mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
convert -resize 16x16 gnormalize.png %{buildroot}%{_miconsdir}/%name.png
convert -resize 32x32 gnormalize.png %{buildroot}%{_iconsdir}/%name.png
convert -resize 48x48 gnormalize.png %{buildroot}%{_liconsdir}/%name.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/icons/*.png
%{_menudir}/%{name}
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Tue Aug 16 2005 Lenny Cartier <lenny@mandriva.com> 0.36-1mdk
- 0.36

* Mon Jul 11 2005 Couriousous <couriousous@mandriva.org> 0.32-1mdk
- Fix Requires
- Add menu
- From Trem <trem@zarb.org> :
	- 0.32

* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 0.29.1-1mdk
- 0.29.1

* Mon Apr 25 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.27-1mdk
- new release

* Fri Apr 15 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.24-1mdk
- fix requires
- first spec for Mandrakelinux (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
